/*******************************************************************************
 *
 * File Name: THANNwithLRRCmain.c
 * Author: Richard Baxter
 * Project: Advanced Neural Network (ANN)
 * Project Version: 1l3j 2-Sept-08
 * Comments: TH = Test Harness
 *
 *******************************************************************************/

#include <ctime>
#include <cstdlib>	//for random number generation
#include <cmath>

#include <string>
#include <iostream>
#include <fstream>
using namespace std;


#include "LDglobalDefs.h"

#ifdef USE_LRRC
#include "THLRRCgame.h"
#endif



int main()
{
	bool result = true;

	//srand(static_cast<unsigned>(time(0)));
	srand( (unsigned)time(NULL) );	//seeds randomness

	result = THtestANNusingCombatExperiences();

	return result;
}




